html, body {
  height: 100%;
}

body {
  margin: 0;
  background: #fff;
}

/* 화면 중앙 정렬 */
.stage {
  min-height: 100svh;
  display: grid;
  place-items: center;
}

/* 피그마 프레임 */
.board {
  position: relative;
  width: min(100vw, 520px);
  aspect-ratio: calc(var(--bw) / var(--bh));
  background: #ffffff;
  overflow: hidden;
}


/* 모든 이미지 요소 */
.item {
  position: absolute;
  left: calc(var(--x) * 100% / var(--bw));
  top:  calc(var(--y) * 100% / var(--bh));
  width:  calc(var(--w) * 100% / var(--bw));
  height: calc(var(--h) * 100% / var(--bh));
  object-fit: contain;
  user-select: none;
  -webkit-user-drag: none;
  z-index: var(--z, 10);
}


/* 별 장식 */
.deco {
  z-index: 30;
  pointer-events: none;
}

.group {
  position: absolute;
  inset: 0;
  transform: translate(-13px, -80px) scale(1);
  transform-origin: center center;
  z-index: 5;
}
